Schema sc-2.0.xsd

schema location: | G:\GRIPHYN\PEGASUS\sc-2.0.xsd
targetNamespace: | http://pegasus.isi.edu/schema/sitecatalog

Elements | Simple types | Attr. groups
sitecatalog | ProfileNamespace | GlobusVersionInfo

element sitecatalog

diagram |
namespace | http://pegasus.isi.edu/schema/sitecatalog
children | site

attributes

Name | Type | Use | Default | Fixed | Annotation
version | xs:decimal | optional | 1.0 |  |

annotation

documentation

    root element aggregating all sites information there is.

element sitecatalog/site

diagram |
namespace | http://pegasus.isi.edu/schema/sitecatalog
children | profile lrc gridftp jobmanager workdirectory

attributes

Name | Type | Use | Default | Fixed | Annotation
handle | xs:ID | required |  |  |

gridlaunch

xs:string

optional

documentation

    This is the path to grid launch. As attributes are optional, each pool can have at most one grid launch path. More does not make sense, unless there are different launchers for different remote schedulers, and a pool supports more than two (fork + one other) remote schedulers.

sysinfo | xs:string | optional | INTEL32::LINUX |  |

annotation

documentation

    Describes a single site

element sitecatalog/site/profile

diagram |
namespace | http://pegasus.isi.edu/schema/sitecatalog
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
namespace | ProfileNamespace | required |  |  |
key | xs:string | required |  |  |

annotation

documentation

    Administrative profile defaults associated with a site.

element sitecatalog/site/lrc

diagram |
namespace | http://pegasus.isi.edu/schema/sitecatalog

attributes

Name | Type | Use | Default | Fixed | Annotation
url | xs:anyURI | required |  |  |

annotation

documentation

    Each site may report to multiple LRCs.

element sitecatalog/site/gridftp

diagram |
namespace | http://pegasus.isi.edu/schema/sitecatalog
children | bandwidth

attributes

Name | Type | Use | Default | Fixed | Annotation

url

xs:anyURI

required

documentation

    The URL (actually, it may be more a URI, but hey, so what) is the access URL to the gridftp server. Each pool may have multiple gridftp servers, or run multiple versions of Globus on different ports.

storage

xs:string

optional

/

documentation

    This element is the storage mount point prefix. Of course, this may get turned over into other things, augmented by user and system requirements etc. I believe that default works quite well for default Globus setups.

major | xs:positiveInteger | required |  |  |
minor | xs:nonNegativeInteger | required |  |  |
patch | xs:nonNegativeInteger | optional |  |  |
total-size | xs:decimal | optional |  |  |
free-size | xs:decimal | optional |  |  |

annotation

documentation

    Each site may have multiple gridftp servers.

element sitecatalog/site/gridftp/bandwidth

diagram |
namespace | http://pegasus.isi.edu/schema/sitecatalog

attributes

Name | Type | Use | Default | Fixed | Annotation
dest-subnet | xs:string | required |  |  |
avg-bandwidth | xs:float | required |  |  |
max-bandwidth | xs:float | required |  |  |
min-bandwidth | xs:float | required |  |  |
avg-bandwidth-range1 | xs:float | optional |  |  |
avg-bandwidth-range2 | xs:float | optional |  |  |
avg-bandwidth-range3 | xs:float | optional |  |  |
avg-bandwidth-range4 | xs:float | optional |  |  |

annotation

documentation

    Stores the bandwidth informaion related to each gridftp server.

element sitecatalog/site/jobmanager

diagram |
namespace | http://pegasus.isi.edu/schema/sitecatalog

attributes

Name | Type | Use | Default | Fixed | Annotation

universe

xs:token

required

documentation

    The universe name is actually the primary key for the jobmanager identification.

url

xs:string

required

documentation

    The contact string is the secondary key for any job manager.

major | xs:positiveInteger | required |  |  |
minor | xs:nonNegativeInteger | required |  |  |
patch | xs:nonNegativeInteger | optional |  |  |
free-mem | xs:string | optional |  |  |
total-mem | xs:string | optional |  |  |
max-count | xs:string | optional |  |  |
max-cpu-time | xs:string | optional |  |  |
running-jobs | xs:nonNegativeInteger | optional |  |  |
jobs-in-queue | xs:nonNegativeInteger | optional |  |  |
idle-nodes | xs:nonNegativeInteger | optional |  |  |
total-nodes | xs:nonNegativeInteger | optional |  |  |
os | xs:string | optional |  |  |
arch | xs:string | optional |  |  |
type | xs:string | optional |  |  |
subnet | xs:string | optional |  |  |

annotation

documentation

    Each site supports various (usually two) jobmanagers.

element sitecatalog/site/workdirectory

diagram |
namespace | http://pegasus.isi.edu/schema/sitecatalog
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
total-size | xs:decimal | optional |  |  |
free-size | xs:decimal | optional |  |  |

annotation

documentation

    Each site may have one and only one work directory mount point.

simpleType ProfileNamespace

namespace | http://pegasus.isi.edu/schema/sitecatalog
type | restriction of xs:NMTOKEN

used by

attribute | sitecatalog/site/profile/@namespace

facets

enumeration | pegasus
enumeration | condor
enumeration | dagman
enumeration | env
enumeration | hints
enumeration | globus

annotation

documentation

    defines the legal namespaces of execution profiles.

attributeGroup GlobusVersionInfo

namespace | http://pegasus.isi.edu/schema/sitecatalog

used by

elements | sitecatalog/site/gridftp sitecatalog/site/jobmanager

attributes

Name | Type | Use | Default | Fixed | Annotation
major | xs:positiveInteger | required |  |  |
minor | xs:nonNegativeInteger | required |  |  |
patch | xs:nonNegativeInteger | optional |  |  |

annotation

documentation

    A set of attributes to define a Globus version.

XML Schema documentation generated with XMLSPY Schema Editor http://www.altova.com/xmlspy